Event System Subscription
The event system subscription resource.
Basehttps://rest.carbon.ms/eventSystemSubscription
GET
/eventSystemSubscriptionList event system subscriptions
Retrieve a paginated list of event system subscriptions. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/eventSystemSubscription
curl --request GET \
--url 'https://rest.carbon.ms/eventSystemSubscription?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"companyId": "xyz789",
"table": "string",
"operations": [],
"handlerType": "string",
"config": "string",
"filter": "string"
}
]GET
/eventSystemSubscriptionRetrieve a event system subscription
Fetch a single event system subscription by filtering on `id`.
Query parameters
idstringMatch on the event system subscription's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/eventSystemSubscription
curl --request GET \
--url 'https://rest.carbon.ms/eventSystemSubscription?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"companyId": "xyz789",
"table": "string",
"operations": [],
"handlerType": "string",
"config": "string",
"filter": "string"
}POST
/eventSystemSubscriptionCreate a event system subscription
Create a new event system subscription.
Body parameters
namestringrequiredcompanyIdstringrequiredReferences company.id
tablestringrequiredoperationsarrayrequiredfilterobjecthandlerTypestringrequiredconfigobjectrequiredactivebooleanPOSThttps://rest.carbon.ms/eventSystemSubscription
curl --request POST \
--url https://rest.carbon.ms/eventSystemSubscription \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example","companyId":"xyz789","table":"string","operations":[],"handlerType":"string","config":"string"}'Response
{
"id": "abc123def456",
"name": "Example",
"companyId": "xyz789",
"table": "string",
"operations": [],
"handlerType": "string",
"config": "string",
"filter": "string"
}PATCH
/eventSystemSubscriptionUpdate a event system subscription
Update an existing event system subscription, matched on `id`.
Body parameters
namestringrequiredcompanyIdstringrequiredReferences company.id
tablestringrequiredoperationsarrayrequiredfilterobjecthandlerTypestringrequiredconfigobjectrequiredactivebooleanPATCHhttps://rest.carbon.ms/eventSystemSubscription
curl --request PATCH \
--url 'https://rest.carbon.ms/eventSystemSubscription?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example"}'Response
{
"id": "abc123def456",
"name": "Example",
"companyId": "xyz789",
"table": "string",
"operations": [],
"handlerType": "string",
"config": "string",
"filter": "string"
}DELETE
/eventSystemSubscriptionDelete a event system subscription
Delete a event system subscription, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the event system subscription to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/eventSystemSubscription
curl --request DELETE \
--url 'https://rest.carbon.ms/eventSystemSubscription?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content